DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRDocumentTreeNodeAnnotationFilter Class Reference

Class implementing a document tree node filter that checks for a given annotation. More...

Inheritance diagram for DSRDocumentTreeNodeAnnotationFilter:

## Public Member Functions
| DSRDocumentTreeNodeAnnotationFilter (const DSRTreeNodeAnnotation &annotation)
| constructor
virtual | ~DSRDocumentTreeNodeAnnotationFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion (annotation)
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes
const DSRTreeNodeAnnotation | Annotation
| annotation to check for

## Detailed Description

Class implementing a document tree node filter that checks for a given annotation.

## Constructor & Destructor Documentation

## ◆ DSRDocumentTreeNodeAnnotationFilter()

DSRDocumentTreeNodeAnnotationFilter::DSRDocumentTreeNodeAnnotationFilter | ( | const DSRTreeNodeAnnotation & | annotation | ) |

constructor

Parameters

  annotation | annotation to check for

## Member Function Documentation

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeAnnotationFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| virtual

check whether given node matches the filter criterion (annotation)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2